Package org.acplt.oncrpc

# Interface OncRpcAuthConstants

public interface OncRpcAuthConstants
A collection of constants related to authentication and generally usefull for ONC/RPC.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ONCRPC_MAX_AUTH_BYTES`
Maximum length of opaque authentication information.
`static final int`
`ONCRPC_MAX_GROUPS`
Maximum allowed number of groups.
`static final int`
`ONCRPC_MAX_MACHINE_NAME`
Maximum length of machine name.

## Field Details

### ONCRPC_MAX_AUTH_BYTES

static final int ONCRPC_MAX_AUTH_BYTES
Maximum length of opaque authentication information.

See Also:
  - Constant Field Values

### ONCRPC_MAX_MACHINE_NAME

static final int ONCRPC_MAX_MACHINE_NAME
Maximum length of machine name.

See Also:
  - Constant Field Values

### ONCRPC_MAX_GROUPS

static final int ONCRPC_MAX_GROUPS
Maximum allowed number of groups.

See Also:
  - Constant Field Values